# Painel de atividades do labestData #

- [Conteúdo previsto](#conteudo-previsto)
- [Painel de realização](#painel-de-realizacao)
- [Planejamento semanal](#planejamento-semanal)
- [Mini roteiro GIT e adição de *dataset*](#mini-roteiro-do-projeto)

Este painel tem por objetivo documentar as atividades semanalmente
planejadas para cada integrante bem como suas realizações conforme fluxo
de trabalho adotado para o projeto **labestData**.

## Conteúdo previsto ##

Nesta primeira fase do projeto foram definidas algumas obras nacionais
para transcrição e documentação de suas tabelas de dados ao pacote. As
obras escolhidas estão descritas abaixo e compreendem as disciplinas de
Planejamento de Experimentos, Análise de Regressão Linear e Análise
Estatística Multivariada.

<!-- Inserir links das milestones que representam os livros -->
1. Borges, C. G., Demétrio, & Zocchi, S. S. (2011). **Modelo de
   Regressão. Piracicaba**, SP: USP.  
   Sob responsabilidade de
   [*Alcides Neto*](https://gitlab.c3sl.ufpr.br/acn13)

2. MINGOTI, S.A. (2005). **Análise de dados através de métodos de
   estatística mulq-tivariada - uma abordagem aplicada**. Belo
   Horizonte, MG: Editora UFMG.  
   Sob responsabilidade de
   [*Paula Alessandra*](https://gitlab.c3sl.ufpr.br/pazd11) e
   [*Ângela Legey*](https://gitlab.c3sl.ufpr.br/alcl12)
   
3. Barros, W. S. & Dias, L. A. S. (2009). **Biometria Experimental**,
   UFV Viçosa, MG.  
   Sob responsabilidade de
   [*Altamiro Basiewics*](https://gitlab.c3sl.ufpr.br/aab15)

4. Zimmermann, F.J.(2004), **Estatística aplicada à pesquisa agrícola**
   (1st ed.). Santo Antônio de Goiás, GO: Embrapa Arroz e Feijão.  
   Sob responsabilidade de
   [*Bruna Wundervald*](https://gitlab.c3sl.ufpr.br/bdw13)

5. Pimentel-Gomes, F. (2009). **Curso de Estatística Experimental**
   (15th ed.). Piracicaba: FEALQ.  
   Sob responsabilidade de
   [*Bruno Geronymo*](https://gitlab.c3sl.ufpr.br/bg15)

6. Charnet, R., de Luna Freire, C.A., Charnet, E.M.R. & Bonvino,
   H. (2008). **Análise de modelos de regressão linear com aplicações**
   (2nd ed., p. 356). Editora Unicamp  
   Sob responsabilidade de
   [*Daniel Ikenaga*](https://gitlab.c3sl.ufpr.br/di12)

7. Ferreira, D. F. (2011). **Estatística Multivariada** (2nd
   ed.). Lavras, editora UFLA.  
   Sob responsabilidade de
   [*Eduardo Junior*](https://gitlab.c3sl.ufpr.br/eerj12)

8. Manly, B. J. F. (2005). **Métodos Estatísticos Multivariados- uma
   introdução**. Porto Alegre, RS: ARTMED  
   Sob responsabilidade de
   [*Gabriel Klostermann*](https://gitlab.c3sl.ufpr.br/gsk12)

9. Ramalho, M. A. P., Ferreira, D. F. & Oliveira,
   A. C. (2005). **Experimentação em Genética e Melhoramento de
   Plantas** (2th ed.). Lavras: UFLA.  
   Sob responsabilidade de
   [*Jhenifer Veloso*](https://gitlab.c3sl.ufpr.br/jcv12)

10. Banzatto, D. A., & Kronka, S. D. (2013). **Experimentação Agrícola**
   (4th ed.). Jaboticabal, SP: Funep.  
   Sob responsabilidade de
   [*Walmes Zeviani*](https://gitlab.c3sl.ufpr.br/walmes)

Ao término desta primeira fase pretende-se ter todos os conjuntos de
dados relevantes destas obras disponíveis para usuários do pacote. Ainda
*vignettes* (vinhetas), exemplificando a análise de dados (em códigos R)
referentes a cada disciplina compreendida, serão elaboradas para
servirem de inspiração ou roteiro para análise dos demais dados do
pacote.

[Retornar à tabela de conteúdo](#painel-de-atividades-do-labestdata)

## Painel de realização ##

**REFERENTE A 1º SEMANA (01/03 à 08/03)**

| Integrante                       | Realizou as atividades propostas ? | Solicitou MR ? |
|----------------------------------+----------------------+---------|
| Alcides Conte Neto               | S :white_check_mark: | S :white_check_mark: |
| Altamiro Antonio Basiewics       | S :white_check_mark: | S :white_check_mark: |
| Angela Luiza Cunha Legey         | S :white_check_mark: | S :white_check_mark: |
| Bruna Davies Wundervald          | S :white_check_mark: | S :white_check_mark: |
| Bruno Geronymo                   | S :white_check_mark: | S :white_check_mark: |
| Daniel Ikenaga                   | S :white_check_mark: | S :white_check_mark: |
| Eduardo Elias Ribeiro Junior     | S :white_check_mark: | S :white_check_mark: |
| Gabriel Sartori Klostermann      | S :white_check_mark: | S :white_check_mark: |
| Jhenifer Caetano Veloso          | S :white_check_mark: | S :white_check_mark: |
| Monica Ludmila Hintz De Oliveira | N :x:                | N :x:                |
| Paula Alessandra Zeizer Dimas    | S :white_check_mark: | S :white_check_mark: |
| Walmes Marques Zeviani           | S :white_check_mark: | S :white_check_mark: |
| Cesar Augusto Taconeli           | S :white_check_mark: | S :white_check_mark: |

[Retornar à tabela de conteúdo](#painel-de-atividades-do-labestdata)

## Planejamento semanal ##

Todas as terças-feiras o grupo desenvolvedor do pacote descreve suas
propostas de atividade para a semana vigente. Abaixo temos as atividades
de cada integrante descritas para a semana do período **08/03 à 15/03**:

1. **Alcides Conte Neto**  
    + Listar todas as tabelas presentes na obra de sua responsabilidade e
     criar os respectivos *issues* no GitLab; e
    + Incluir todas as tabelas presentes no 1º capítulo (+- 8)

2. **Altamiro Antonio Basiewics**  
    + Listar todas as tabelas presentes na obra de sua responsabilidade e
     criar os respectivos *issues* no GitLab; e
    + Incluir mais 3 tabelas

3. **Angela Luiza Cunha Legey**  
    + Listar todas as tabelas presentes na parte obra de sua
     responsabilidade e criar os respectivos *issues* no GitLab; e
    + Incluir mais 5 tabelas

4. **Bruna Davies Wundervald**  
    + Incluir mais 5 tabelas

5. **Bruno Geronymo**  
    + Listar todas as tabelas presentes na obra de sua responsabilidade e
     criar os respectivos *issues* no GitLab; e
    + Incluir mais 3 tabelas
   
6. **Daniel Ikenaga**  
    + Listar todas as tabelas presentes na obra de sua responsabilidade e
      criar os respectivos *issues* no GitLab; e
    + Incluir mais 2 ou 3 tabelas; e
    + Checar o *build* de verificação do pacote (para correção do erro
      gerado no seu ramo)

7. **Eduardo Elias Ribeiro Junior**  
    + Realizar as eventuais correções de MR e incorporá-los ao ramo
      `devel`; e
    + Incluir mais 3 tabelas (issue#28)

8. **Gabriel Sartori Klostermann**  
    + Listar todas as tabelas presentes na obra de sua responsabilidade e
      criar os respectivos *issues* no GitLab; e
    + Incluir mais 2 tabelas

9. **Jhenifer Caetano Veloso**  
    + Incluir mais 5 tabelas

10. **Monica Ludmila Hintz De Oliveira**  
     + **Concluir as atividades da semana anterior**; e
     + Listar todas as tabelas presentes na obra de sua responsabilidade e
       criar os respectivos *issues* no GitLab; e
     + Incluir mais 3 tabelas
    
11. **Paula Alessandra Zeizer Dimas**  
     + Listar todas as tabelas presentes na parte obra de sua
       responsabilidade e criar os respectivos *issues* no GitLab; e
     + Incluir mais 2 tabelas

12. **Walmes Marques Zeviani**  
     + Realizar as eventuais correções de MR e incorporá-los ao ramo
       `devel`; e
     + Incluir mais 3 tabelas (issue#8)
      
13. **Cesar Augusto Taconeli**  
     + Realizar as eventuais correções de MR e incorporá-los ao ramo
       `devel`

As ativides descritas para esta semana deveram ser realizadas, nos seus
ramos específicos, e solicitado MR ao respectivo responsável pelo
*merge* até as 12h00 do dia 15/03. Após esta data o
[painel de realização](#painel-de-realizacao) será atualizado com o
status das atividades propostas.

[Retornar à tabela de conteúdo](#painel-de-atividades-do-labestdata)

## Mini roteiro do projeto ##


A cada semana nós devemos criar novos ramos para realização das
atividades propostas. Porém devemos nos atentar ao criá-los. Estes ramos
devem necessariamente sair do ramo `devel` e não é necessário a
incorporação do ramo de trabalho anterior (solicitado por MR) para que
este seja criado. Abaixo temos os comandos GIT para criar o ramo a
partir do `devel`.

```bash
## Atualiza todos os ramos com a versão do servidor
git pull

## Retorna para o ramo devel
git checkout devel

## Cria um ramo para atividades propostas no issue00
git branch fulano00

## Vai para o ramo criado
git checkout fulano00

```

Com isso já estamos em um ramo criado especificamente para o
desenvolvimento das atividades propostas no `issue#00`, assim podemos
prosseguir com o trabalho propriamente dito, a adição de conjunto de
dados.

```r
##======================================================================
## Passo 1 - Ler e inserir os dados na pasta ./data-raw/

## Usando o R ----------------------------------------------------------

## Transcreva os dados das tabelas
ex <- expand.grid(X1 = 1:6, X2 = LETTERS[1:4])
x3 <- scan()
CiclanoTb0.0 <- data.frame(X1 = ex$X1, X2 = ex$X2, X3 = x3)

## Salve a tabela em formato txt no diretório ./data-raw/
write.table(CiclanoTb0.0,
            file = "./data-raw/CiclanoTb0.0.txt",
            sep = "\t",
            row.names = FALSE)

## Usando outro software -----------------------------------------------

## Transcreva os dados da tabela no software e salve-os no formato txt
## na pasta ./data-raw/

## Leia os dados na sessão R, para utilizá-los posteriormente
CiclanoTb0.0 <- read.table("./data-raw/CiclanoTb0.0.txt",
                           header = TRUE, sep = "\t")

##======================================================================
## Passo 2 - Inserir os dados no diretório ./data/
library(devtools)
use_data(CiclanoTb0.0)

##======================================================================
## Passo 3 - Escreva a documentação utilizando as tags roxygen2

## Dica: rode os códigos da sessão exemplo aqui, para verificar se os
## gráficos/tabelas são realizadas corretamente.
table(CiclanoTb0.0)
plot(X1 ~ X2, data = CiclanoTb0.0)

##======================================================================
## Passo 4 - Gere e check a documentação (insere um arquivo no diretório
## ./man/). Obs.: O aviso sobre o NAMESPACE pode ser ignorado, pois o
## document() tenta criar um NAMESPACE onde já há um existente, mas isso
## não é problema pois ambos são arquivos sem conteúdo relevante.
document()
check_man()

##======================================================================
## Passo 5 - Verifique a constituição e organização do pacote (caso haja
## ERROS, WARNINGS ou mais de um NOTE. Corrija o problema e continue do
## passo 4)
check()

```

Após todos os passos concluídos devemos ter os arquivos `.txt`, `.rda`,
`.R` e `.Rd` devidamente criados. Podemos voltar ao terminal e *comitar*
nossas contribuições.

```bash
## Adiciona os 4 arquivos criados e commita as alterações
git add data-raw/. data/. R/. man/CiclanoTb0.0
git commit -m "Adiciona tabela 0.0 do livro do Ciclano"

## Desconsidera as alterações realizadas nos arquivos que são gerados
## automaticamente
git checkout .

## Enviando as alterações para o servidor
git push origin fulano00

```

Agora com tudo *commitado* podemos seguir para o próximo conjunto de
dados e refazer todos os passos descritos na sessão R.

Vale ressaltar que este mini roteiro compreende a rotina básica para
inclusão de um conjunto de dados, se for necessária a inclusão de um
biblioteca para elaboração de gráficos ou análises ou ainda forem
criadas funções para o pacote os arquivos NAMESPACE e DESCRIPTION
deverão ser alterados e essas alterações *commitadas*.

[Retornar à tabela de conteúdo](#painel-de-atividades-do-labestdata)
